options.h File Reference
`#include "cvc4_public.h"`
`#include "options/options.h"`
`#include "decision/decision_mode.h"`
`#include "theory/decision_attributes.h"`
Include dependency graph for options.h:

Go to the source code of this file.

## Data Structures

struct | CVC4::options::decisionMode__option_t
struct | CVC4::options::decisionStopOnly__option_t
struct | CVC4::options::decisionThreshold__option_t
struct | CVC4::options::decisionUseWeight__option_t
struct | CVC4::options::decisionRandomWeight__option_t
struct | CVC4::options::decisionWeightInternal__option_t

## Namespaces

namespace | CVC4
namespace | CVC4::options

## Macros

#define | CVC4_OPTIONS__DECISION__FOR_OPTION_HOLDER

## Variables

struct CVC4::options::decisionMode__option_t | CVC4::options::decisionMode
struct CVC4::options::decisionStopOnly__option_t | CVC4::options::decisionStopOnly
struct CVC4::options::decisionThreshold__option_t | CVC4::options::decisionThreshold
struct CVC4::options::decisionUseWeight__option_t | CVC4::options::decisionUseWeight
struct CVC4::options::decisionRandomWeight__option_t | CVC4::options::decisionRandomWeight
struct CVC4::options::decisionWeightInternal__option_t | CVC4::options::decisionWeightInternal

## Macro Definition Documentation

## CVC4_OPTIONS__DECISION__FOR_OPTION_HOLDER

#define CVC4_OPTIONS__DECISION__FOR_OPTION_HOLDER

Definition at line 60 of file options.h.